/* general styles */

body {
    background-color: black;
}

header {
    text-align: center;
    margin-top: 20px;
    margin-bottom: 10px;
    padding: 0;
}

footer {
    text-align: center;
    margin-top: 20px;
    margin-bottom: 10px;
    padding: 0;
    font-size: 10px;
    color: black;
    text-align: center;
    font-weight: bold;
    font-family: Arial, Helvetica, sans-serif
}


/* board */

#board {
    background-color: black;
    width: 1000px;
    min-height: 650px;
    border: 20px solid #7d5f43;
    padding: 60px 60px 60px 80px;
}

ul {
    padding: 0;
    margin: 0;
    min-height: 560px;
}

.column {
    float: left;
    width: 16%;
    border-right: 2px solid white;
    min-height: 650px;
    text-align: center;
}

.column:last-of-type {
    border-right: none;
}

/* rest of display */

#main {
    position: relative;
    width: 1180px;
    min-height: 650px;
    margin-left: auto;
    margin-right: auto;
}


#scoreDiv {
    position: absolute;
    top: 0px;
    right: 0px;
    color: white;
    background-color:#7d5f43;
    font-family: sans-serif;
    font-size: 14px;
    margin: 10px;
    padding: 20px 20px 10px 10px;
    border-bottom-left-radius: 5px;
   
}


/* fonts */

@font-face {
  font-family: 'writing';
  src: url('Handlee-Regular.ttf') format('truetype');
}

h1 {
    color: #7d5f43;
    font-family: 'writing', sans-serif;
    font-size: 30px;
    padding: 0;
    margin:0;
}

h2 {
    color: white;
    font-family: 'writing', sans-serif;
    font-size: 20px;
    padding: 0 0 20px 0;
    margin:0;
}

li {
    color: transparent;
    font-family: 'writing', sans-serif;
    font-size: 20px;
}

h2 {
    margin-top: 20px;
    margin-bottom: 10px;
    border-bottom: 2px solid white;
    width: 100%;
}

/* start button */

#start {
    background-color: #7d5f43;
    color: white;
    position: absolute;
    top: 30px;
    margin-left: auto;
    margin-right: auto;
    border-radius: 4px;
    text-align: center;
    left: 30px;
    height: 30px;
    width: 63px;

    border-radius: 100px;
}

@keyframes flashBorder {
  0%, 100% {
    border-color: transparent;
  }
  50% {
    border-color: red;
  }
}

.flashing-border {
  border: 3px solid transparent;
  animation: flashBorder 1s step-end infinite;
}

/* lives and smart bombs */

#livesDiv {
    position: absolute;
    bottom: 0px;
    left: 0px;
    background-color:#7d5f43;
    padding: 20px 20px 10px 10px;
    border-top-right-radius: 5px;
    margin: 10px;
    height: 25px;
}

#smartBombsDiv {
    position: absolute;
    bottom: 0px;
    right: 0px;
    background-color:#7d5f43;
    padding: 20px 20px 10px 10px;
    border-top-left-radius: 5px;
    margin: 10px;
    height: 25px;
}

#smartBombsDiv ul, #livesDiv ul {
    margin-top: -40px;
}

#smartBombsDiv ul li {
    float:left;
    height: 60px;
    width: 28px;
    background-image: url("bomb.png");
    background-repeat: no-repeat;
    background-position: 5px 5px;
    background-size: contain;
    padding:0;
}

#livesDiv ul li {
    float:left;
    height: 60px;
    width: 30px;
    background-image: url("pm.png");
    background-repeat: no-repeat;
    background-position: 5px 10px;
    background-size: contain;
}

.explosion {
    background-image: url('explosion.png') !important;
    background-repeat: no-repeat !important;
    background-position: 0px 0px !important;
    background-size: 100% !important;
}

#gameOverDiv {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background-color: rgba(0, 0, 0, 1);
    color: white;
    font-size: 30px;
    padding: 20px;
    border-radius: 10px;
    border: red 7px solid;
    display: none;
    z-index: 1;
}

@keyframes flashGameOver {
  0%, 100% { opacity: 1; }
  50% { opacity: 0; }
}

.flashGameOver {
  animation: flashGameOver 0.5s infinite;
}

/* more link and youtube */

#gamearea {
    position: relative;
    width: 1180px;
    margin-left: auto;
    margin-right: auto;
    padding-bottom: 30px;
}

#moregames {
    text-align: right;
    position: absolute;
    bottom: 0;
    right: 10px;
    color: red;
    padding: 3px;
    margin-left: auto;
    margin-right: auto;
    font-family: 'Courier New', sans-serif;
    font-size: 80%;
    display: block;
    text-decoration: none;
}

    #moregames:hover {
        color: white;
    }

#youtube {
    text-align: left;
    display: block;
    bottom: 0;
    position: absolute;
    left: 10px;
}

    #youtube img {
        height: 20px;
    }    